#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xfig
Version		:	3.2.8b
Release		:	14.8.0.0%{?dist}
Summary		:	An X Window System tool for drawing basic vector graphics
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://sourceforge.net/projects/mcj/files/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	xorg-x11-libXaw3d

#-----------------------------------------------------------------------------
%description
Xfig is an X Window System tool for creating basic vector graphics,
including bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES README
%{_bindir}/%{name}
%{_datadir}/X11/app-defaults/Fig
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/Libraries/*
%{_datadir}/%{name}/CompKeyDB
%{_datadir}/pixmaps/%{name}.png
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 

#-----------------------------------------------------------------------------
%changelog
